ghc-8.2.2: The GHC API

Safe Haskell | None
Language | Haskell2010

SPARC.CodeGen

Synopsis

- cmmTopCodeGen :: RawCmmDecl -> NatM [NatCmmDecl CmmStatics Instr]
- generateJumpTableForInstr :: DynFlags -> Instr -> Maybe (NatCmmDecl CmmStatics Instr)
- type InstrBlock = OrdList Instr

# Documentation

cmmTopCodeGen :: RawCmmDecl -> NatM [NatCmmDecl CmmStatics Instr] #

Top level code generation

generateJumpTableForInstr :: DynFlags -> Instr -> Maybe (NatCmmDecl CmmStatics Instr) #

type InstrBlock = OrdList Instr #

`InstrBlock`s are the insn sequences generated by the insn selectors. They are really trees of insns to facilitate fast appending, where a left-to-right traversal yields the insns in the correct order.